<template lang="pug">
z-navbar
  z-navbar-section
    ul.tab.tab-block.ml-2(v-intro="'The main features are quickly accessible, and once logged-in, you can quickly add content from here too!'")
      li.tab-item
        nuxt-link(:to="localePath('home')" exact-active-class="active") {{ $t('browse') }}
      li.tab-item(v-if="isAuthenticated && (isAdministrator || isModerator)")
        nuxt-link(:to="localePath('settings') + '#dashboard'" active-class="active") {{ $t('administration') }}
      action-select.ml-2(v-if="isAuthenticated")
    ul.tab.tab-block

  z-navbar-section(center)
    nuxt-link.title(
      v-intro="'OLKi is a software which multiple organizations are running independently, including this server. Each has different content based on what their local users post and what other servers they follow'"
      v-intro-step="1"
      :to="localePath('home')"
      @click.native="indexRefresh"
    )
      | OLKi
      p.subtitle {{ getInstanceSubtitle }}

  z-navbar-section
    // rapid-search.mr-3 // TODO: implement rapid search
    notifications.mr-3(v-if="isAuthenticated")
    div(v-if="!isAuthenticated")
      nuxt-link(tabindex="-1" :to="{ path: localePath('about'), query: { to: 'login' } }")
        z-button.mr-3(size="sm")
          <z-icon tabindex="-1" name="account_circle" /> {{ $t('login') }}
      nuxt-link(tabindex="-1" :to="{ path: localePath('about'), query: { to: 'signup' } }")
        z-button( size="sm" type="primary")
          <z-icon tabindex="-1" name="how_to_reg" /> {{ $t('signup') }}
    div(v-else)
      avatar-heading
</template>

<script>
import { mapState, mapGetters } from 'vuex'
import AvatarHeading from '~/components/AvatarHeading.vue'
import Notifications from '~/components/Notifications.vue'
import RapidSearch from '~/components/RapidSearch.vue'
import ActionSelect from '~/components/ActionSelect.vue'

export default {
  components: {
    // logic components:
    AvatarHeading,
    Notifications,
    RapidSearch,
    ActionSelect
  },
  computed: {
    ...mapGetters('instance', ['getInstanceName']),
    ...mapState('auth', ['isAuthenticated']),
    ...mapGetters('user', ['isAdministrator', 'isModerator']),
    getInstanceSubtitle() {
      return this.getInstanceName === 'OLKi'
        ? 'Federated Knowledge'
        : this.getInstanceName
    }
  },
  methods: {
    indexRefresh() {
      this.$store.dispatch('corpora/INDEX_REFRESH')
    }
  }
}
</script>

<style>
.navbar {
  width: 100%;
  padding: 10px 10px;
}

.tab-item:not(:first-child):before {
  margin-left: 10px;
}

.tab-block:not(:first-child) {
  margin-left: 20px;
}

.title {
  font-family: 'Inter', 'Quicksand', 'Source Sans Pro', -apple-system,
    BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 600;
  font-size: 1.6em;
  letter-spacing: 1px;
  text-decoration: none !important;
  color: rgba(var(--color-primary), 1) !important;
  position: relative;
  top: -0.4rem;
  line-height: 1.2;
}

.subtitle {
  height: 0;
  margin: 0;
  font-size: 0.5em;
  color: rgba(var(--color-primary), 0.6) !important;
}

.popover-container {
  width: 10rem !important;
}
</style>
